1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PlayOnLinux Packages - File Mismatch

Discussion in 'PlayOnLinux' started by booman, Jul 19, 2018.

  1. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,118
    Likes Received:
    485
    Trophy Points:
    83
    Location:
    Linux, Arizona
    Home page:
    When you install PlayOnLinux the first time and start running a manual installation some of the Packages will error "File Mismatch"

    This is due to the PlayOnLinux scripts being out-of-date with the Winetricks repositories

    What happens is when you install a package, its actually using Winetricks to download and install them in your .PlayOnLinux/resources directory.
    Then next time you install the package its already cached on your computer. No need to download again.

    Winetricks has been updating some packages but PlayOnLinux is not updating the scripts

    Here are all the scripts for PlayOnLinux 4 Packages;
    https://www.playonlinux.com/en/supported_apps-100-0.html

    If you are script savy or know a bit about programming, maybe you can take a look at some of these and help us to get them updated so our Guides are still functional to new Linux Gamers.

    Thank you

    List of most used Packages 32-bit status:
    • corefonts
    • d3dx9
    • d3dx10
    • d3dx11
    • d3dcompiler_43
    • dinput
    • directmusic
    • directplay
    • directx9
    • dotnet20
    • dotnet30
    • dotnet40
    • dotnet45
    • dsound
    • dxdiag
    • dxfullsetup
    • Flash Player - Mismatch ERROR
    • Flashplayer_ActiveX - Mismatch ERROR
    • gdiplus
    • gecko
    • Internet Explorer 6
    • Internet Explorer 8
    • mfc40
    • mfc42
    • msvc100
    • msvc80
    • msvc90
    • msxml3
    • msxml4
    • physx
    • quartz
    • RegisteredFonts
    • tahoma
    • vbrun6
    • vcrun2005
    • vcrun2008
    • vcrun2010
    • vcrun2012
    • vcrun2013
    • vcrun6
    • winhttp
    • wininet
    • wmp10
    • wmp9
    • wmpcodecs - ERROR
    • xact
    • xaudio
    • xna31
    • xna40
    List of most used Packages 64-bit status:
    • corefonts
    • d3dx9
    • d3dx10
    • d3dx11
    • d3dcompiler_43
    • dinput
    • directmusic
    • directplay
    • directx9
    • dotnet20 - No 64-bit Support
    • dotnet30 - No 64-bit Support
    • dotnet40 - No 64-bit Support
    • dotnet45 - No 64-bit Support
    • dsound
    • dxdiag
    • dxfullsetup
    • Flash Player - Mismatch ERROR
    • Flashplayer_ActiveX - Mismatch ERROR
    • gdiplus
    • gecko
    • Internet Explorer 6 - No 64-bit Support
    • Internet Explorer 8 - No 64-bit Support
    • mfc40
    • mfc42
    • msvc100
    • msvc80
    • msvc90
    • msxml3
    • msxml4
    • physx
    • quartz
    • RegisteredFonts
    • tahoma - ERROR
    • tahoma2 - Works in place of "tahoma" error
    • vbrun6
    • vcrun2005
    • vcrun2008
    • vcrun2010
    • vcrun2012
    • vcrun2013
    • vcrun6
    • winhttp
    • wininet - Mismatch ERROR
    • wmp10 - No 64-bit Support
    • wmp9 - No 64-bit Support
    • wmpcodecs - No 64-bit Support
    • xact
    • xaudio
    • xinput
    • xna31
    • xna40 - No 64-bit Support
    Last edited: Aug 8, 2018 at 12:34 AM
  2. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,118
    Likes Received:
    485
    Trophy Points:
    83
    Location:
    Linux, Arizona
    Home page:
    It appears that when we update the script and contribute to PlayOnLinux, it has to be approved, but I see several people have contributed and the PlayOnLinux team isn't approving them.
    So now we have to wait because until these updates are approved I don't think they will be rolled out in PlayOnLinux updates.

    This might be a lose lose scenario
    Last edited: Aug 7, 2018

Share This Page